DROP TABLE IF EXISTS `jobs`;
CREATE TABLE  `jobs` (
  `link` varchar(500) NOT NULL,
  `processed` datetime default NULL,
  `inserted` datetime default NULL,
  `ip` varchar(50) NOT NULL default 'unknown',
  `user` varchar(50) NOT NULL default 'unknown',
  `comment` varchar(100) default NULL,
  `category_id` int(10) unsigned NOT NULL,
  `state` int(11) NOT NULL default '0',
  `size` bigint(20) unsigned default NULL,
  `filename` varchar(255) default NULL,
  PRIMARY KEY  (`link`),
  KEY `Index_2` (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `categories`;
CREATE TABLE  `categories` (
  `category_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL,
  `order_nr` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `users`;
CREATE TABLE  `users` (
  `user_id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(45) NOT NULL,
  `password` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `last_post_date` date NOT NULL,
  `last_sum` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `Index_2` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `states`;
CREATE TABLE  `states` (
  `state` int(11) NOT NULL default '0',
  `name` varchar(45) NOT NULL,
  PRIMARY KEY  (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

insert into states(state, name) values (-2, 'Redownloading');
insert into states(state, name) values (-1, 'Deleting');
insert into states(state, name) values (0, 'In Front');
insert into states(state, name) values (1, 'Downloading');
insert into states(state, name) values (2, 'Finished');
insert into states(state, name) values (3, 'Error');